Skip to main content
DELETE
/
agents
/
calls
/
{call_id}
Delete Call
curl --request DELETE \
  --url https://api.cartesia.ai/agents/calls/{call_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>'
import requests

url = "https://api.cartesia.ai/agents/calls/{call_id}"

headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {'Cartesia-Version': '<cartesia-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.cartesia.ai/agents/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ac_abc123",
  "agent_id": "agent_abc123",
  "agent_name": "Customer support",
  "zdr_enabled": false,
  "redacted_at": "2026-03-01T12:30:00Z",
  "start_time": "2026-03-01T12:00:00Z",
  "end_time": "2026-03-01T12:05:00Z",
  "telephony_params": {
    "call_sid": "sid_abc123",
    "connection_type": "websocket"
  },
  "status": "completed",
  "end_reason": "agent_hangup",
  "deployment_id": "ad_abc123",
  "deployment_version_id": "av_abc123",
  "deployment_region": "US"
}

Authorizations

Authorization
string
header
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Path Parameters

call_id
string
required

The ID of the call.

Response

The call record with sensitive fields deleted.

id
string
required

The unique identifier for the agent call.

agent_id
string
required

The identifier of the agent associated with the call.

status
enum<string>
required

The status of the agent call.

Available options:
created,
started,
completed,
failed
agent_name
string

The name of the agent associated with the call.

zdr_enabled
boolean

Whether the call was handled with zero data retention (ZDR) enabled. When true, sensitive call data such as the transcript, audio recording, and logs is not retained.

start_time
string<date-time> | null

The start time of the agent call.

end_time
string<date-time> | null

The end time of the agent call.

redacted_at
string<date-time> | null

When the call's sensitive data was deleted, if it has been. Set by DELETE /agents/calls/{call_id}; deleted fields are omitted from responses.

transcript
AgentTranscript · object[] | null

The transcript of the agent call.

telephony_params
TelephonyParams · object | null

The telephony parameters associated with the call when the call is made via phone.

telephony_account_type
enum<string> | null

The telephony account type backing the call. cartesia is the default Cartesia-hosted path; twilio indicates a customer-owned Twilio subaccount; sip_trunk indicates a LiveKit SIP trunk.

Available options:
cartesia,
twilio,
sip_trunk
summary
string | null

A summary of the agent call. This is a brief summary of the call that is generated by Cartesia.

error_message
string | null

The error message, if any, associated with the call.

end_reason
enum<string> | null

The reason why the call ended.

Available options:
agent_hangup,
client_hangup,
api_cancelled,
max_duration,
inactivity,
client_disconnected,
dial_busy,
dial_failed,
dial_no_answer,
error
deployment_id
string | null

The deployment identifier associated with the call.

deployment_version_id
string | null

The specific deployment version identifier associated with the call.

deployment_region
enum<string> | null

The deployment region that handled the call.

Available options:
US,
EU,
APAC
metadata
object | null

Custom metadata associated with the call.